import { createVNode as _createVNode } from "vue";
import { defineComponent } from 'vue';
import { usePanelPresetsContext } from '../context';
import ColorPresets from './ColorPresets';
var PanelPresets = defineComponent({
  name: 'PanelPresets',
  setup: function setup() {
    var context = usePanelPresetsContext();
    return function () {
      return Array.isArray(context.value.presets) ? _createVNode(ColorPresets, {
        "value": context.value.value,
        "presets": context.value.presets,
        "prefixCls": context.value.prefixCls,
        "onChange": context.value.onChange
      }, null) : null;
    };
  }
});
export default PanelPresets;